/*
 * Written by:
 *	Paul D. Boyle
 *	Department of Chemistry
 *	Box 8204
 *	North Carolina State University
 *	Raleigh, NC 27695-8204
 *
 *	March 1998
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 */
#define ENCODED     "application/x-www-form-urlencoded"
#define SPACE_TOKEN '+'
#define FIELD_TOKEN  '&'
#define PAIR_TOKEN   '='
#define ESCAPE_SEQ  '%'
#define SEQ_SIZE     2

#define LINE_FEED    0x0a
#define CARRIAGE_RET 0x0d

/* some defines used in BufferOverFlowError(), change for your
 * local situation.
 */

#define FROM_WHO "Laue Web Server"
#define FROM_WHO_EMAIL "web@laue.chem.ncsu.edu"
#define RECIPIENT  "boyle@laue.chem.ncsu.edu"
#define SENDMAIL "/usr/sbin/sendmail -t"

/* define a structure for the entered data */
struct cgi_entry {
       char *name;
       char *value;
       };

union cgi_data {
      char *field;
      struct cgi_entry pair;
      };

/* Prototypes */

int VerifyForm( const char *method );  /* returns 0 if ok; != 0 if not */ 
char *ParseNameValuePairs( char *a );
void PlusToSpace( char *a );
char *TranslateEscapes( const char *src );
char *TranslateNewlines( const char *src );
void ReportErrorHTML( const char *a );
int CountFields( char *a );
void BufferOverFlowError( union cgi_data *data, int n_field );
void StdContentHeader( const char *type );
void StdHTMLHeader( void );
void StdHTMLFooter( void );
