/* sprintf()-able #define's for the titles of the files and 
 * templates for the file names.
 * Written by:
 *	Paul D. Boyle
 *	Department of Chemistry
 *	Box 8204
 *	North Carolina State University
 *	Raleigh, NC 27695-8204
 *
 *	March 1998
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 */
#define SUMMARY_TITLE "Crystal Data Summary for %s"
#define XYZ_TITLE     "Atomic Positional Parameters for %s"
#define ADP_TITLE     "Anisotropic Displacement Parameters for %s"
#define BOND_TITLE    "Bond Lengths for %s"
#define ANGLE_TITLE   "Bond Angles for %s" 


#define SUMMARY_SUFFIX_TXT  "%s.summary_table.txt"
#define XYZ_SUFFIX_TXT      "%s.xyz_table.txt"
#define ADP_SUFFIX_TXT      "%s.adp_table.txt"
#define BOND_SUFFIX_TXT     "%s.bond_length_table.txt"
#define ANGLE_SUFFIX_TXT    "%s.bond_angle_table.txt"

#define SUMMARY_SUFFIX_HTML  "%s.summary_table.html"
#define XYZ_SUFFIX_HTML      "%s.xyz_table.html"
#define ADP_SUFFIX_HTML      "%s.adp_table.html"
#define BOND_SUFFIX_HTML     "%s.bond_length_table.html"
#define ANGLE_SUFFIX_HTML    "%s.bond_angle_table.html"

#define N_COLS          2  /* for bond lengths & angles tables */

enum CrystalFamily { TRICLINIC,
                     MONOCLINIC,
                     ORTHORHOMBIC,
                     TETRAGONAL,
                     RHOMBOHEDRAL,
                     TRIGONAL,
                     HEXAGONAL,
                     CUBIC };

#define STD_HTML_HEADER "<html><head><title>%s</title></head><body>\n" \
                        "<H1 ALIGN=CENTER>%s</H1>\n"

#define STD_HTML_FOOTER "</body></head>\n"

/* OutputFiles.c */
void ProduceCrystalDataFile(int n_atom_types,
                            char *struct_name,
                            Formula *formula,
                            Lattice *latt,
                            UnitCell *unit,
                            Experimental *exper,
                            Refinement *refine);
void ProduceAtomParamsFile(char *struct_name, AtomCoords *atoms,
                           UnitCell *cell,  int n_atoms);
void MolecularGeometryTable(char *struct_name, void *geom,
                            int n_items, enum TableType tab_type);

