/* Make sure these enum's are sync'ed with current definitions
 * in the database.
 *
 * Written by:
 *	Paul D. Boyle
 *	Department of Chemistry
 *	Box 8204
 *	North Carolina State University
 *	Raleigh, NC 27695-8204
 *
 *	March 1998
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 */
enum InstrumentType {  HOME_MADE,
                       CAD4 = 1,
                       CAD4_MACH,
                       CAD4_TURBO,
                       MACH3,
                       KCCD,
                       P4,
                       P3,
                       R3,
                       SMART_CCD,
                       P21,
                       KM_4,
                       AFC5,
                       AFC6,
                       AFC7 };

enum Vendor { LOCAL,
              NONIUS = 1,
              ENRAF_NONIUS,
              SIEMENS,
              BRUKER,
              RIGAKU,
              KUMA };

enum ScanType { DUMMY,
                NONE = 1,
                THETA_2THETA,
                OMEGA,
                SPECIAL };
               

struct instrument {
       enum InstrumentType model_code;
       char model_name[24];
       };

struct vendor {
       enum Vendor vendor_code;
       char name[80];
       };

struct scan_type {
       enum ScanType scan_code;
       char scan_name[24];
       };

/* ProcessTuples.c */
Lattice *ProcessLatticeTuple(Tuple *tup, int n_tup, int n_field);
UnitCell *ProcessUnitCellTuple(Tuple *tup, int n_tup, int n_field);
Formula *ProcessFormulaTuple(Tuple *tup, int n_tup, int n_field);
Experimental *ProcessExperimentalTuple(Tuple *tup, int n_tup, int n_field);
Refinement *ProcessRefinementTuple(Tuple *tup, int n_tup, int n_field);
AtomCoords *ProcessAtomCoordsTuple(Tuple *tup, int n_tup, int n_field);
BondLength *ProcessBondLengthTuple(Tuple *tup, int n_tup, int n_field);
BondAngle *ProcessBondAngleTuple(Tuple *tup, int n_tup, int n_field);
void FreeTuple( Tuple *tup, int nt, int nf );
